### Method

# Hinoko FwIsoResource allocate_wait

since: 1.0

#### Declaration [src]

    gboolean
    hinoko_fw_iso_resource_allocate_wait (
      HinokoFwIsoResource* self,
      const guint8* channel_candidates,
      gsize channel_candidates_count,
      guint bandwidth,
      guint timeout_ms,
      GError** error
    )

#### Description [src]

Initiate allocation of isochronous resource and wait for `HinokoFwIsoResource::allocated` signal. One of the candidates is actually allocated for channel.

Available since: 1.0

#### Parameters

`channel_candidates`

  Type: An array of `guint8`

  The array with elements for numeric number for isochronous channel to be allocated.

  The length of the array is specified in the `channel_candidates_count` argument.
  The data is owned by the caller of the method.

`channel_candidates_count`

  Type: `gsize`

  The number of channel candidates.

`bandwidth`

  Type: `guint`

  The amount of bandwidth to be allocated.

`timeout_ms`

  Type: `guint`

  The timeout to wait for allocated event.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.